Đến nội dung


Hình ảnh
- - - - -

Nhờ Diễn Đàn Viết Giúp Lsp Gán Cao Độ Vào Đỉnh Polyline


  • Please log in to reply
2 replies to this topic

#1 thachvaca

thachvaca

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 19 September 2016 - 03:51 PM

Kính gởi Diễn đàn,

Mình nhờ các cao thủ viết lsp gắn cao độ vào đỉnh 3d polyline.

Mình phải nhập cao độ từng đỉnh polyline thấy nó lâu và nhiều quá.

 

Giả sử, mình có các text cao độ tại các đỉnh, mình cần cái lsp nó hiểu các cao độ đó gần tại đỉnh nào thì gắn cao độ vào đỉnh đó và tại các đỉnh của polyline sẽ hiển thị thuộc tính là cao độ z tại đó bằng cao độ text.

 

Cám ơn chủ thớt nhiều.

 

 


  • 0

#2 Bee

Bee

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 63 (tàm tạm)

Đã gửi 19 September 2016 - 08:16 PM

Hi,

Mình nghĩ chèn text vào mỗi đỉnh nhanh hơn và đơn giản hơn. Bạn thử chạy lisp này. Thay tên lệnh Test nhé.

 

  1. (defun c:test (/ pl vt_lst point z)
      (if (setq pl (car (entsel "\nChon 3Dpline: ")))
        (progn
          (if (eq (vla-get-ObjectName (vlax-ename->vla-object pl)) "AcDb3dPolyline")
    	(progn
    	  (setq vt_lst (vlax-get (vlax-ename->vla-object pl) 'Coordinates))
    	  (setq n 0)
    	  (repeat (/ (length vt_lst) 3)
    	    (setq point (list (nth n vt_lst) (nth (1+ n) vt_lst) (nth (+ n 2) vt_lst)))
    	    (setq z (nth (+ n 2) vt_lst))
    	    (command "text"
    		     point
    		     20 ;<---thay doi chieu cao text
    		     0
    		     (rtos z 2 2)
    		     )
    	    (setq n (+ n 3))
    	    );repeat
    	  )
    	(princ "\nDoi tuong ban chon khong phai 3Dpolyline")
    	)
          );progn
        (princ "\nBan da khong chon doi tuong.")
        );if
      (princ)
      );defun
    

  • 0

#3 thachvaca

thachvaca

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 23 October 2016 - 12:06 AM

Cám ơn chủ thớt nhiều, mình đã thử và sử dụng được. Thời gian qua công việc bận quá nên không dạo diễn đàn để cám ơn anh em đã giúp đỡ.

 

 

Mình còn có 1 việc này nữa cần diễn đàn giúp đỡ: cái lsp ha thống kê dimension ha, nếu xuất ra thêm 1 cột ký hiệu layer ra excel nữa thì hay quá.

 

Mong bác Hà cùng anh em giúp đỡ.


  • -1